/* Spectre.css/Zutre configuration */
$primary-color: #205e3b;
$dark-color: #3e396b;

// Import full Spectre source code,
// which will use the above parameters
@import "zutre/src/scss/main.scss";

// Import experimental Spectre source code
@import "spectre.css/src/_timelines.scss";
@import "spectre.css/src/_autocomplete.scss";

/* Spectre.css/Zutre adaptation to partially support CSS custom variables
Not perfect and definitely prone to errors, but it's the best we can do
outside of developing our own components. */
.card, .avatar {
  color: rgba(var(--color-text), 1);
}

.avatar {
  background: rgba(var(--color-primary), 1);
  
  &[data-initial]::before {
    color: rgba(var(--color-foreground), 1);
  }
}

.btn {
  background-color: rgba(var(--color-background), 1);
  color: rgba(var(--color-primary), 1);
  border-color: rgba(var(--color-primary), 1);

  &.btn-with-action {
    /* allow action icons */
    display: flex;
    align-items: center;

    .material-icons {
      margin-right: 0 !important;
    }
  }
  
  &:focus:not(.btn-link),
  &:hover:not(.btn-link) {
    background: rgba(var(--color-primary), 0.5) !important;
    border-color: rgba(var(--color-primary), 1);
  }

  &.btn-link,
  &.btn-link:hover,
  &.btn-link:focus {
    color: rgba(var(--color-primary), 1);
  }

  &.btn-primary:hover,
  &.btn-primary:focus {
    background-color: rgba(var(--color-primary), 0.8);
    border-color: rgba(var(--color-primary), 0.8);
  }
}

.form-input::placeholder {
  color: rgba(var(--color-text-lighter), 1) !important;
}
.form-input:focus {
  border-color: rgba(var(--color-primary), 0.8) !important;
  box-shadow: 0 0 0 0.1rem rgba(var(--color-primary), 0.2) !important;
}
.form-autocomplete-input .form-input:focus {
  border-color: transparent !important;
  box-shadow: none !important;
}

.btn.btn-primary,
.form-checkbox input:checked + .form-icon,
.form-radio input:checked + .form-icon,
.form-switch input:checked + .form-icon {
  background: rgba(var(--color-primary), 1);
  border-color: rgba(var(--color-primary), 1);
}

.menu {
  z-index: unset;

  /* important to adapt size to content (otherwise menu is capped to button width) */
  width: max-content;
}
.menu-nav {
  width: auto;
}
.menu .menu-item > a {
  color: rgba(var(--color-text), 1) !important;
}

.menu .menu-item > a.active,
.menu .menu-item > a:focus,
.menu .menu-item > a.hover,
a.menu-item:hover {
  background-color: rgba(var(--color-primary), 0.2) !important;
  border-color: rgba(var(--color-primary), 0.4) !important;
}

.popover-container > .card,
.popover-container > .menu {
  background-color: rgba(var(--color-background), 1);
}

a {
  color: rgba(var(--color-primary), 1) !important;
}

a:hover,
a:focus,
a.active {
  color: rgba(var(--color-primary), 1) !important;
  text-decoration: none;
}

a.active {
  border-bottom-color: rgba(var(--color-primary), 1) !important;
}

.tab {
  border-bottom: none;
}
.tab-item a:not(.active) {
  color: inherit !important; 
}
.tab .tab-item.active a,
.tab .tab-item a.active {
	border-bottom-color: rgba(var(--color-primary), 1);
	color: rgba(var(--color-primary), 1);
}

.empty {
  background-color: rgba(var(--color-background), 1);
  color: rgba(var(--color-text), 1);
}

.step .step-item {
  &:not(:first-child)::before {
    background: rgba(var(--color-primary), 1);
  }
  &.active a::before {
    background: #fff;
    border: 0.1rem solid rgba(var(--color-primary), 1);
  }
  & a::before {
    background: rgba(var(--color-primary), 1);
    border: 0.1rem solid #fff;
  }
}

.pagination .page-item.active a {
	background: rgba(var(--color-primary), 1);
  border-color: rgba(var(--color-primary), 1);
	color: #fff !important;
}

/*
Various tweaks
*/

.form-group label {
  cursor: default;
}

/* support for z-switch hints */
.label-text {
  text-align: left;
}
.label-hint {
  text-align: left;
  font-size: x-small;
  position: relative;
  top: 0.2rem;
  line-height: 0.6rem;
}

/* form alignment */
.form-group > div:nth-child(1) {
  text-align: right;
  padding-right: 20px;

  .input-group {
    justify-content: flex-end;
  }
}

/* text utilities */
.text {
  color: rgba(var(--color-text), 1) !important;
}
.text-subtitle {
  font-size: 0.6rem;
}
.text-gray {
  color: rgba(var(--color-text-lighter), 1) !important;
}

/* badges */
.badge:not([data-badge])::after,
.badge[data-badge='']::after,
.badge[data-badge]::after {
  position: absolute;
  right: 0;
  top: 0;

  background: rgba(var(--color-primary), 0.8);
}

.badge:not([data-badge])::after,
.badge[data-badge='']::after {
  top: 0.5rem;
}

/* loading */
.loading::after {
  border-bottom-color: rgba(var(--color-primary), 1);
  border-left-color: rgba(var(--color-primary), 1);
}

/* accordion */
.accordion input:checked ~ .accordion-body,
.accordion[open] .accordion-body {
  max-height: initial;
  overflow: visible !important;
}

/* timelines */
.timeline-icon:focus:not(.focus-visible),
.timeline-icon:active,
.timeline-icon:focus {
  box-shadow: 0 0 0 0.1rem rgba(var(--color-primary), 0.2);
}

.timeline {
  --timeline-icon-offset: 1.21rem;
  
  .timeline-item-last::before {
    display: none;
  }
  .timeline-item {
    &::before,
    &::after {
      background: rgba(var(--color-foreground), 1);
    }
    &::before {
      height: calc(100% - var(--timeline-icon-offset) - 2px);
      top: calc(1.2rem + var(--timeline-icon-offset) + 2px);
    }
    &::after {
      height: calc(var(--timeline-icon-offset) - 2px);
      content: "";
      left: 11px;
      position: absolute;
      top: 0px;
      width: 2px;
    }

    .timeline-icon {
      margin-top: var(--timeline-icon-offset);

      &::before {
        border-color: rgba(var(--color-primary), 1);
        margin-top: var(--timeline-icon-offset);
      }
    }
  }
}

/* chips */
a.chip {
  color: rgba(var(--color-text), 1) !important;
}
.chip.category {
  background-color: rgba(var(--color-primary), 0.3) !important;
}

/* selects */
.form-select:focus {
  border-color: rgba(var(--color-primary), 0.5) !important;
  box-shadow: 0 0 0 0.1rem rgba(var(--color-primary), 0.2) !important;
}